AUTODIR(8)

NAME
autodir - manage home directories

SYNOPSIS
autodir [OPTIONS]

DESCRIPTION
autodir is a command to organize home directories, usually for user accounts from a centralized database like LDAP, SQL, NIS, etc... It also has transparent backup features.

OPTIONS

-d DIR
    Specifies the virtual base directory; the mount point for the autofs filesystem. If DIR does not exist, it will be created. An absolute path is expected for this option.

-t SECONDS
    Expiration timeout for virtual directories. If a directory is inactive for SECONDS, it will be unmounted.

-m MODULE
    Module to be used with autodir. The full path to MODULE is expected.

-n  Do not kill the backup process and wait for it to finish.

-N  Do not kill the backup process, but do NOT wait for it to finish.

-o SUBOPTS
    All options SUBOPTS are passed to the module. This option passing syntax is similar to that of the mount command with its -o option. See specific module's documentation for more info.

-f  q Run in the foreground and log all messages to the console. For debugging purpose and to see how autodir works.

-l FILE
    Full path to a file in which autodir will write its process id.

-h  Display help about autodir options.

-v  Display version information.

-V  Use verbose logging.

-b PROG
    This option is to specify the program to use for backups, as well as options for it. The path to PROG should be absolute.

-w SECONDS
    Whenever a virtual directory is not used for a period of time, it is assumed inactive and is unmounted. Then, a backup is immediately started. With this option, you can specify to wait SECONDS before the backup starts. If this option is absent, the backup will start immediately.

-p NUMBER
    Backup process priority. This value is from 1-40, with 1 being highest priority and 40 being lowest. The default value is 30.

-c NUMBER
    This restricts the number of backup processes to NUMBER at any given time. The default value is 150. # manpage written on Nov. 24, 2010 by Timmy